/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2020-07-08
 * 描述            ：操作日志表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Slm.BaseInformation.vo;
import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import market.Slm.BaseInformation.mapper.SlmOperateLogMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_OPERATE_LOG", namespace=SlmOperateLogMapper.class)
public class SlmOperateLog extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -5634929995968098324L;
	/** 
	 * 主键
	 */ 
	@Column
	private String log_pk;
	public String getLog_pk() {
		return this.log_pk;
	}
	public void setLog_pk(String log_pk) {
		this.log_pk = log_pk;
	}

	/** 
	 * 上机时间
	 */ 
	@Column
	private String up_machine_time;
	public String getUp_machine_time() {
		return this.up_machine_time;
	}
	public void setUp_machine_time(String up_machine_time) {
		this.up_machine_time = up_machine_time;
	}
	
	/** 
	 * 下机时间
	 */ 
	@Column
	private String down_machine_time;
	public String getDown_machine_time() {
		return this.down_machine_time;
	}
	public void setDown_machine_time(String down_machine_time) {
		this.down_machine_time = down_machine_time;
	}

	/** 
	 * 上辊号
	 */ 
	@Column
	private String up_grind_no;
	public String getUp_grind_no() {
		return this.up_grind_no;
	}
	public void setUp_grind_no(String up_grind_no) {
		this.up_grind_no = up_grind_no;
	}
	
	/** 
	 * 上辊辊径
	 */ 
	@Column
	private String up_grind_dia;
	public String getUp_grind_dia() {
		return this.up_grind_dia;
	}
	public void setUp_grind_dia(String up_grind_dia) {
		this.up_grind_dia = up_grind_dia;
	}
	
	/** 
	 * 下辊号
	 */ 
	@Column
	private String down_grind_no;
	public String getDown_grind_no() {
		return this.down_grind_no;
	}
	public void setDown_grind_no(String down_grind_no) {
		this.down_grind_no = down_grind_no;
	}
	
	/** 
	 * 下辊辊径
	 */ 
	@Column
	private String down_grind_dia;
	public String getDown_grind_dia() {
		return this.down_grind_dia;
	}
	public void setDown_grind_dia(String down_grind_dia) {
		this.down_grind_dia = down_grind_dia;
	}
	
	/** 
	 * 类型
	 */ 
	@Column
	private String dia_type;
	public String getDia_type() {
		return this.dia_type;
	}
	public void setDia_type(String dia_type) {
		this.dia_type = dia_type;
	}
	
	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}
	
	/** 
	 * 轧制里程
	 */ 
	@Column
	private double length;
	public double getLength() {
		return this.length;
	}
	public void setLength(double length) {
		this.length = length;
	}
	
	/** 
	 * 机组
	 */ 
	@Column
	private String machine_code;
	public String getMachine_code() {
		return this.machine_code;
	}
	public void setMachine_code(String machine_code) {
		this.machine_code = machine_code;
	}
	
	/** 
	 * 作业日期
	 */ 
	@Column
	private String wrk_date;
	public String getWrk_date() {
		return this.wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}
	
	/** 
	 * 班次：1晚、2白、3中
	 */ 
	@Column
	private String wrk_ord;
	public String getWrk_ord() {
		return this.wrk_ord;
	}
	public void setWrk_ord(String wrk_ord) {
		this.wrk_ord = wrk_ord;
	}
	
	/** 
	 * 班组：1甲、2乙、3丙、4丁
	 */ 
	@Column
	private String wrk_grp;
	public String getWrk_grp() {
		return this.wrk_grp;
	}
	public void setWrk_grp(String wrk_grp) {
		this.wrk_grp = wrk_grp;
	}
	
	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}
	
	/** 
	 * 创建时间
	 */ 
	@Column
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
	
	/** 
	 * 更新人
	 */ 
	@Column
	private String update_man;
	public String getUpdate_man() {
		return this.update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}
	
	/** 
	 * 更新时间
	 */ 
	@Column
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
	
	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_man;
	public String getDelete_man() {
		return this.delete_man;
	}
	public void setDelete_man(String delete_man) {
		this.delete_man = delete_man;
	}
	
	/** 
	 * 删除时间
	 */ 
	@Column
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
	
	/** 
	 * 更新的信息：作业日期  + 班次 + 班组
	 */ 
	@Column
	private String update_msg;
	public String getUpdate_msg() {
		return this.update_msg;
	}
	public void setUpdate_msg(String update_msg) {
		this.update_msg = update_msg;
	}
	
}
